Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.java.io
Class LogWriter.Agent

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.apache.java.io.LogWriter.Agent

protected class LogWriter.Agent
extends java.lang.Thread

Class implementing the background logging.

Fields inherited from class java.lang.Thread
`contextClassLoader, daemon, eetop, group, inheritedAccessControlContext, initial_stack_memory, MAX_PRIORITY, MIN_PRIORITY, name, NORM_PRIORITY, priority, PrivateInfo, single_step, stillborn, stopThreadPermission, target, threadInitNumber, threadQ, values`

Constructor Summary
`protected` | `LogWriter.Agent()`

Method Summary
`void` | `flush()` Flush the log record queue.
`void` | `run()` Wait for the messages in the log message queue and pass them to the log media, whatever it is.
`void` | `write(LogRecord lr)` Write the log record on the log stream.

Methods inherited from class java.lang.Thread
`, activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, exit, getContextClassLoader, getName, getPriority, getThreadGroup, init, interrupt, interrupt0, interrupted, isAlive, isDaemon, isInterrupted, isInterrupted, join, join, join, nextThreadNum, registerNatives, resume, resume0, setContextClassLoader, setDaemon, setName, setPriority, setPriority0, sleep, sleep, start, stop, stop, stop0, suspend, suspend0, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogWriter.Agent

    protected LogWriter.Agent()

Method Detail

### run

    public void run()

  Wait for the messages in the log message queue and pass them to the log media, whatever it is.
  Overrides:
    run in class java.lang.Thread

### write

    public void write(LogRecord lr)

  Write the log record on the log stream.

### flush

    public void flush()

  Flush the log record queue.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD